<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:43:20 BRT 2020 -->
<title>Car</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="declaration: package: eu.systemsengineer.fjcapeletto.model, interface: Car">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Car.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">eu.systemsengineer.fjcapeletto.model</a></div>
<h1 title="Interface Car" class="title">Interface Car</h1>
</div>
<div class="contentContainer">
<section class="description">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">Car</span></pre>
<div class="block">Interface for Car Implementations.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>MK2-V1</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Fernando Jose Capeletto Neto</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#serialVersionUID">serialVersionUID</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addCourse(float)">addCourse</a></span>&#8203;(float&nbsp;courseInDegrees)</code></th>
<td class="colLast">
<div class="block">Add a new Course for the Car and Set it as its new Last Course</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addLatitude(double)">addLatitude</a></span>&#8203;(double&nbsp;lat)</code></th>
<td class="colLast">
<div class="block">Add a new Latitude for the Car and Set it as its new Last Latitude</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addLongitude(double)">addLongitude</a></span>&#8203;(double&nbsp;longt)</code></th>
<td class="colLast">
<div class="block">Add a new Longitude for the Car and Set it as its new Last Longitude</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMeasure()">addMeasure</a></span>()</code></th>
<td class="colLast">
<div class="block">Add a new Measure for the Car</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addSpeed(float)">addSpeed</a></span>&#8203;(float&nbsp;speed)</code></th>
<td class="colLast">
<div class="block">Add a new Speed for the Car and Set it as its new Last Speed</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCarColor()">getCarColor</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the Color of the Car</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCarIconFile()">getCarIconFile</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the path of Car Icon File</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCarId()">getCarId</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the Car Id</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCarName()">getCarName</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the Car Name</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCarVerticalSize()">getCarVerticalSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the Vertical Size of the Car Icon File
 This information shall be acquired from the Icon File</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLastCourse()">getLastCourse</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the last Course for the Car</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLastLatitude()">getLastLatitude</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the last Latitude for the Car</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLastLongitude()">getLastLongitude</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the last Longitude for the Car</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLastSpeed()">getLastSpeed</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the last Speed for the Car</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getParkingLatitude()">getParkingLatitude</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the initial Latitude for the Car</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getParkingLongitude()">getParkingLongitude</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the initial Longitude for the Car</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCarColor(java.awt.Color)">setCarColor</a></span>&#8203;(java.awt.Color&nbsp;carColor)</code></th>
<td class="colLast">
<div class="block">Set the Color of the Car
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCarIconFile(java.lang.String)">setCarIconFile</a></span>&#8203;(java.lang.String&nbsp;carIconFile)</code></th>
<td class="colLast">
<div class="block">Set the path of Car Icon File 
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCarId(int)">setCarId</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Set the Car Id 
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCarName(java.lang.String)">setCarName</a></span>&#8203;(java.lang.String&nbsp;carName)</code></th>
<td class="colLast">
<div class="block">Set the Car Name 
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCarVerticalSize(int)">setCarVerticalSize</a></span>&#8203;(int&nbsp;carVerticalSize)</code></th>
<td class="colLast">
<div class="block">Set the Vertical Size of Car Icon File 
 This information shall be acquired from the Icon File 
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLastCourse(float)">setLastCourse</a></span>&#8203;(float&nbsp;course)</code></th>
<td class="colLast">
<div class="block">Set the last Course for the Car
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="altColor" id="i22">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLastLatitude(double)">setLastLatitude</a></span>&#8203;(double&nbsp;lat)</code></th>
<td class="colLast">
<div class="block">Set the last Latitude for the Car
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="rowColor" id="i23">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLastLongitude(double)">setLastLongitude</a></span>&#8203;(double&nbsp;longt)</code></th>
<td class="colLast">
<div class="block">Set the last Longitude for the Car
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="altColor" id="i24">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLastSpeed(float)">setLastSpeed</a></span>&#8203;(float&nbsp;speed)</code></th>
<td class="colLast">
<div class="block">Set the last Speed for the Car
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="rowColor" id="i25">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setParkingLatitude(double)">setParkingLatitude</a></span>&#8203;(double&nbsp;parkingLatitude)</code></th>
<td class="colLast">
<div class="block">Set the initial Latitude for the Car
 Used for Spring Injection.</div>
</td>
</tr>
<tr class="altColor" id="i26">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setParkingLongitude(double)">setParkingLongitude</a></span>&#8203;(double&nbsp;parkingLongitude)</code></th>
<td class="colLast">
<div class="block">Set the initial Longitude for the Car
 Used for Spring Injection.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="serialVersionUID">serialVersionUID</a></h3>
<div class="memberSignature"><span class="modifiers">static final</span>&nbsp;<span class="returnType">long</span>&nbsp;<span class="memberName">serialVersionUID</span></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#eu.systemsengineer.fjcapeletto.model.Car.serialVersionUID">Constant Field Values</a></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getCarId()">getCarId</a></h3>
<div class="memberSignature"><span class="returnType">int</span>&nbsp;<span class="memberName">getCarId</span>()</div>
<div class="block">Returns the Car Id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Car Id</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCarId(int)">setCarId</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setCarId</span>&#8203;(<span class="arguments">int&nbsp;id)</span></div>
<div class="block">Set the Car Id 
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - CarImpl Id</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCarName()">getCarName</a></h3>
<div class="memberSignature"><span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getCarName</span>()</div>
<div class="block">Returns the Car Name</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Car Name</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCarName(java.lang.String)">setCarName</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setCarName</span>&#8203;(<span class="arguments">java.lang.String&nbsp;carName)</span></div>
<div class="block">Set the Car Name 
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>carName</code> - CarImpl Name</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCarIconFile()">getCarIconFile</a></h3>
<div class="memberSignature"><span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getCarIconFile</span>()</div>
<div class="block">Returns the path of Car Icon File</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Path for Car Icon File</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCarIconFile(java.lang.String)">setCarIconFile</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setCarIconFile</span>&#8203;(<span class="arguments">java.lang.String&nbsp;carIconFile)</span></div>
<div class="block">Set the path of Car Icon File 
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>carIconFile</code> - Path for Car Icon File</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCarVerticalSize()">getCarVerticalSize</a></h3>
<div class="memberSignature"><span class="returnType">int</span>&nbsp;<span class="memberName">getCarVerticalSize</span>()</div>
<div class="block">Returns the Vertical Size of the Car Icon File
 This information shall be acquired from the Icon File</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vertical Size of the Car Icon File</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCarVerticalSize(int)">setCarVerticalSize</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setCarVerticalSize</span>&#8203;(<span class="arguments">int&nbsp;carVerticalSize)</span></div>
<div class="block">Set the Vertical Size of Car Icon File 
 This information shall be acquired from the Icon File 
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>carVerticalSize</code> - Path for Car Icon File</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCarColor()">getCarColor</a></h3>
<div class="memberSignature"><span class="returnType">java.awt.Color</span>&nbsp;<span class="memberName">getCarColor</span>()</div>
<div class="block">Returns the Color of the Car</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Color of the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCarColor(java.awt.Color)">setCarColor</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setCarColor</span>&#8203;(<span class="arguments">java.awt.Color&nbsp;carColor)</span></div>
<div class="block">Set the Color of the Car
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>carColor</code> - Color of the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getParkingLatitude()">getParkingLatitude</a></h3>
<div class="memberSignature"><span class="returnType">double</span>&nbsp;<span class="memberName">getParkingLatitude</span>()</div>
<div class="block">Returns the initial Latitude for the Car</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>initial Latitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setParkingLatitude(double)">setParkingLatitude</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setParkingLatitude</span>&#8203;(<span class="arguments">double&nbsp;parkingLatitude)</span></div>
<div class="block">Set the initial Latitude for the Car
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parkingLatitude</code> - initial Latitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getParkingLongitude()">getParkingLongitude</a></h3>
<div class="memberSignature"><span class="returnType">double</span>&nbsp;<span class="memberName">getParkingLongitude</span>()</div>
<div class="block">Returns the initial Longitude for the Car</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>initial Longitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setParkingLongitude(double)">setParkingLongitude</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setParkingLongitude</span>&#8203;(<span class="arguments">double&nbsp;parkingLongitude)</span></div>
<div class="block">Set the initial Longitude for the Car
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parkingLongitude</code> - initial Longitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLastLatitude()">getLastLatitude</a></h3>
<div class="memberSignature"><span class="returnType">double</span>&nbsp;<span class="memberName">getLastLatitude</span>()</div>
<div class="block">Returns the last Latitude for the Car</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>last Latitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setLastLatitude(double)">setLastLatitude</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setLastLatitude</span>&#8203;(<span class="arguments">double&nbsp;lat)</span></div>
<div class="block">Set the last Latitude for the Car
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lat</code> - last Latitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLastLongitude()">getLastLongitude</a></h3>
<div class="memberSignature"><span class="returnType">double</span>&nbsp;<span class="memberName">getLastLongitude</span>()</div>
<div class="block">Returns the last Longitude for the Car</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>last Longitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setLastLongitude(double)">setLastLongitude</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setLastLongitude</span>&#8203;(<span class="arguments">double&nbsp;longt)</span></div>
<div class="block">Set the last Longitude for the Car
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>longt</code> - last Longitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLastCourse()">getLastCourse</a></h3>
<div class="memberSignature"><span class="returnType">float</span>&nbsp;<span class="memberName">getLastCourse</span>()</div>
<div class="block">Returns the last Course for the Car</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>last Course for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setLastCourse(float)">setLastCourse</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setLastCourse</span>&#8203;(<span class="arguments">float&nbsp;course)</span></div>
<div class="block">Set the last Course for the Car
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>course</code> - last Course for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLastSpeed()">getLastSpeed</a></h3>
<div class="memberSignature"><span class="returnType">float</span>&nbsp;<span class="memberName">getLastSpeed</span>()</div>
<div class="block">Returns the last Speed for the Car</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>last Speed for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setLastSpeed(float)">setLastSpeed</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">setLastSpeed</span>&#8203;(<span class="arguments">float&nbsp;speed)</span></div>
<div class="block">Set the last Speed for the Car
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>speed</code> - last Speed for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addLatitude(double)">addLatitude</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">addLatitude</span>&#8203;(<span class="arguments">double&nbsp;lat)</span></div>
<div class="block">Add a new Latitude for the Car and Set it as its new Last Latitude</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lat</code> - new Latitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addLongitude(double)">addLongitude</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">addLongitude</span>&#8203;(<span class="arguments">double&nbsp;longt)</span></div>
<div class="block">Add a new Longitude for the Car and Set it as its new Last Longitude</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>longt</code> - new Longitude for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addCourse(float)">addCourse</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">addCourse</span>&#8203;(<span class="arguments">float&nbsp;courseInDegrees)</span></div>
<div class="block">Add a new Course for the Car and Set it as its new Last Course</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>courseInDegrees</code> - new Course for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addSpeed(float)">addSpeed</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">addSpeed</span>&#8203;(<span class="arguments">float&nbsp;speed)</span></div>
<div class="block">Add a new Speed for the Car and Set it as its new Last Speed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>speed</code> - new Speed for the Car</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addMeasure()">addMeasure</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">addMeasure</span>()</div>
<div class="block">Add a new Measure for the Car</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Car.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
